package com.link.core.basic.aop.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface ApiStatusLog {
   String apiName() default "No Name Api";

   String apiCode() default "invaled code";

   String url() default "";

   boolean writeSuccessResp() default false;

   boolean writeFailureResp() default true;

   boolean writeParams() default true;
}
